diff --git a/test/python/qobj/test_pulse_converter.py b/test/python/qobj/test_pulse_converter.py
index ea5b77e78..cde568ecf 100644
--- a/test/python/qobj/test_pulse_converter.py
+++ b/test/python/qobj/test_pulse_converter.py
@@ -341,7 +341,8 @@ class TestQobjToInstructionConverter(QiskitTestCase):
 
         self.assertEqual(evaluated_instruction.start_time, 1)
         self.assertEqual(evaluated_instruction.duration, 1)
-        self.assertEqual(evaluated_instruction.instructions[0][-1], instruction)
+        self.assertEqual(evaluated_instruction.instructions[0][-1].channel, instruction.channel)
+        self.assertAlmostEqual(evaluated_instruction.instructions[0][-1].frequency, instruction.frequency)
 
     def test_delay(self):
         """Test converted qobj from Delay."""
diff --git a/test/randomized/test_transpiler_equivalence.py b/test/randomized/test_transpiler_equivalence.py
index 302760279..1d0a3e16f 100644
--- a/test/randomized/test_transpiler_equivalence.py
+++ b/test/randomized/test_transpiler_equivalence.py
@@ -21,7 +21,7 @@ from hypothesis.stateful import Bundle, RuleBasedStateMachine
 
 import hypothesis.strategies as st
 
-from qiskit import execute, transpile, Aer
+from qiskit import execute, transpile, BasicAer
 from qiskit import QuantumCircuit, QuantumRegister, ClassicalRegister
 from qiskit.circuit import Measure, Reset, Gate, Barrier
 from qiskit.test.mock import (
@@ -98,7 +98,7 @@ class QCircuitMachine(RuleBasedStateMachine):
     qubits = Bundle("qubits")
     clbits = Bundle("clbits")
 
-    backend = Aer.get_backend("qasm_simulator")
+    backend = BasicAer.get_backend("qasm_simulator")
     max_qubits = int(backend.configuration().n_qubits / 2)
 
     def __init__(self):
